GitLab 10.0.4, 9.5.9 和 9.4.7 发布,修复多个漏洞

周其
 周其
发布于 2017年10月19日
收藏 0

GitLab 社区版(CE)和 企业版(EE)版本 10.0.4,9.5.9 和 9.4.7 发布了。

这些版本包含几个安全修复程序,包括两个持久性跨站脚本(XSS)漏洞的修复程序,一个开放的重定向漏洞,更改用户名时可能留下后面和泄露可能的问题,私密 issue 名称中的信息泄漏漏洞以及 Ruby 和 libxml2 的安全性更新。

Markdown 编辑器中的跨站脚本(XSS)漏洞

  • 过滤器没有正确地从URL方案中剥离无效字符,因此容易受到Markdown支持的任何持久的XSS攻击。 #38267

搜索栏中的跨站脚本(XSS)漏洞

  • 用户名没有被正确的HTML转义,过滤器将允许任意脚本执行。 #37715

涉及版本

Cross-Site Scripting (XSS) vulnerability in markdown:

  • GitLab CE+EE 2.8.0-9.4.6, 9.5.0-9.5.8, 10.0.0-10.0.3

Cross-Site Scripting (XSS) vulnerability in search bar

  • GitLab CE+EE 9.3.0-9.4.6, 9.5.0-9.5.8, 10.0.0-10.0.3

Open redirect in repository git redirects

  • GitLab CE+EE 9.2.0-9.4.6, 9.5.0-9.5.8, 10.0.0-10.0.3

Username changes could leave repositories behind

  • GitLab CE+EE 9.5.0-9.5.8, 10.0.0-10.0.3

Confidential issue names could leak in "related issues" feature

  • GitLab EE 9.4.0-9.4.6, 9.5.0-9.5.8, 10.0.0-10.0.3

Ruby update

  • GitLab CE+EE 8.14.0-9.4.6, 9.5.0-9.5.8, 10.0.0-10.0.3

Libxml2 update

  • GitLab CE+EE 1.1.1-9.4.6, 9.5.0-9.5.8, 10.0.0-10.0.3

详情请参阅:https://about.gitlab.com/2017/10/17/gitlab-10-dot-0-dot-4-security-release/

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:GitLab 10.0.4, 9.5.9 和 9.4.7 发布,修复多个漏洞
加载中
返回顶部
顶部